declare class PricesStorage {
    readonly tokenPricesRecordLabel = "tokenPrices";
    getPrices(): Promise<Record<string, number> | undefined>;
    updatePrices(chainId: number, erc20Addresses: string[]): Promise<number[]>;
    getAndUpdatePrices(currentChainId: number, erc20Addresses: string[]): Promise<number[]>;
    updateCachedPricesByChain(chainId: number): Promise<void>;
}
export declare const pricesStorage: PricesStorage;
export {};
